summaryrefslogtreecommitdiffstats
path: root/compass/ci/deploy.sh
diff options
context:
space:
mode:
authorJerry Zhao <zhaoxinyu@huawei.com>2015-04-11 08:21:10 +0800
committerJerry Zhao <zhaoxinyu@huawei.com>2015-04-20 20:46:01 +0800
commit77bf95508534a744c4b6e7b5635ec1e8eb294098 (patch)
tree38ed362a6a88b7bc7e010a6614f0de6146a5920a /compass/ci/deploy.sh
parente1d29739ccbc6efc20f400636a211dae0e75bff4 (diff)
first commit of deploy.sh for compass
with deploy.sh in this patch, a compass vagrant box will be spawned along with 5 libvirt vms. compass api will be called to install ubuntu 14.04 on those libvirt vms. in a patch later, openstack will be configured to be installed. JIRA: BGS-28 Change-Id: Ie5f8442331081289a1a81a8e3295c881b0504c3c Signed-off-by: Jerry Zhao <zhaoxinyu@huawei.com>
Diffstat (limited to 'compass/ci/deploy.sh')
-rwxr-xr-x[-rw-r--r--]compass/ci/deploy.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/compass/ci/deploy.sh b/compass/ci/deploy.sh
index e69de29..fe754aa 100644..100755
--- a/compass/ci/deploy.sh
+++ b/compass/ci/deploy.sh
@@ -0,0 +1,5 @@
+SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+CONF_NAME=$1
+source ${SCRIPT_DIR}/../deploy/prepare.sh || exit $?
+source ${SCRIPT_DIR}/../deploy/setup-env.sh || exit $?
+source ${SCRIPT_DIR}/../deploy/deploy-vm.sh || exit $?